ChangeSet 1.1510, 2004/01/20 15:37:47-08:00, greg@kroah.com

[PATCH] USB: hook up the other (non-HID) input devices to the input system properly.


 drivers/usb/input/aiptek.c    |    1 +
 drivers/usb/input/kbtab.c     |    1 +
 drivers/usb/input/powermate.c |    1 +
 drivers/usb/input/usbkbd.c    |    1 +
 drivers/usb/input/usbmouse.c  |    1 +
 drivers/usb/input/wacom.c     |    1 +
 drivers/usb/input/xpad.c      |    1 +
 7 files changed, 7 insertions(+)


diff -Nru a/drivers/usb/input/aiptek.c b/drivers/usb/input/aiptek.c
--- a/drivers/usb/input/aiptek.c	Tue Jan 20 17:33:40 2004
+++ b/drivers/usb/input/aiptek.c	Tue Jan 20 17:33:40 2004
@@ -318,6 +318,7 @@
 	aiptek->dev.id.vendor = dev->descriptor.idVendor;
 	aiptek->dev.id.product = dev->descriptor.idProduct;
 	aiptek->dev.id.version = dev->descriptor.bcdDevice;
+	aiptek->dev.dev = &intf->dev;
 	aiptek->usbdev = dev;
 
 	endpoint = &intf->altsetting[0].endpoint[0].desc;
diff -Nru a/drivers/usb/input/kbtab.c b/drivers/usb/input/kbtab.c
--- a/drivers/usb/input/kbtab.c	Tue Jan 20 17:33:40 2004
+++ b/drivers/usb/input/kbtab.c	Tue Jan 20 17:33:40 2004
@@ -172,6 +172,7 @@
 	kbtab->dev.id.vendor = dev->descriptor.idVendor;
 	kbtab->dev.id.product = dev->descriptor.idProduct;
 	kbtab->dev.id.version = dev->descriptor.bcdDevice;
+	kbtab->dev.dev = &intf->dev;
 	kbtab->usbdev = dev;
 
 	endpoint = &intf->altsetting[0].endpoint[0].desc;
diff -Nru a/drivers/usb/input/powermate.c b/drivers/usb/input/powermate.c
--- a/drivers/usb/input/powermate.c	Tue Jan 20 17:33:40 2004
+++ b/drivers/usb/input/powermate.c	Tue Jan 20 17:33:40 2004
@@ -388,6 +388,7 @@
 	pm->input.id.product = udev->descriptor.idProduct;
 	pm->input.id.version = udev->descriptor.bcdDevice;
 	pm->input.event = powermate_input_event;
+	pm->input.dev = &intf->dev;
 
 	input_register_device(&pm->input);
 
diff -Nru a/drivers/usb/input/usbkbd.c b/drivers/usb/input/usbkbd.c
--- a/drivers/usb/input/usbkbd.c	Tue Jan 20 17:33:40 2004
+++ b/drivers/usb/input/usbkbd.c	Tue Jan 20 17:33:40 2004
@@ -299,6 +299,7 @@
 	kbd->dev.id.vendor = dev->descriptor.idVendor;
 	kbd->dev.id.product = dev->descriptor.idProduct;
 	kbd->dev.id.version = dev->descriptor.bcdDevice;
+	kbd->dev.dev = &iface->dev;
 
 	if (!(buf = kmalloc(63, GFP_KERNEL))) {
 		usb_free_urb(kbd->irq);
diff -Nru a/drivers/usb/input/usbmouse.c b/drivers/usb/input/usbmouse.c
--- a/drivers/usb/input/usbmouse.c	Tue Jan 20 17:33:40 2004
+++ b/drivers/usb/input/usbmouse.c	Tue Jan 20 17:33:40 2004
@@ -183,6 +183,7 @@
 	mouse->dev.id.vendor = dev->descriptor.idVendor;
 	mouse->dev.id.product = dev->descriptor.idProduct;
 	mouse->dev.id.version = dev->descriptor.bcdDevice;
+	mouse->dev.dev = &intf->dev;
 
 	if (!(buf = kmalloc(63, GFP_KERNEL))) {
 		usb_buffer_free(dev, 8, mouse->data, mouse->data_dma);
diff -Nru a/drivers/usb/input/wacom.c b/drivers/usb/input/wacom.c
--- a/drivers/usb/input/wacom.c	Tue Jan 20 17:33:40 2004
+++ b/drivers/usb/input/wacom.c	Tue Jan 20 17:33:40 2004
@@ -578,6 +578,7 @@
 	wacom->dev.id.vendor = dev->descriptor.idVendor;
 	wacom->dev.id.product = dev->descriptor.idProduct;
 	wacom->dev.id.version = dev->descriptor.bcdDevice;
+	wacom->dev.dev = &intf->dev;
 	wacom->usbdev = dev;
 
 	endpoint = &intf->altsetting[0].endpoint[0].desc;
diff -Nru a/drivers/usb/input/xpad.c b/drivers/usb/input/xpad.c
--- a/drivers/usb/input/xpad.c	Tue Jan 20 17:33:40 2004
+++ b/drivers/usb/input/xpad.c	Tue Jan 20 17:33:40 2004
@@ -267,6 +267,7 @@
 	xpad->dev.id.vendor = udev->descriptor.idVendor;
 	xpad->dev.id.product = udev->descriptor.idProduct;
 	xpad->dev.id.version = udev->descriptor.bcdDevice;
+	xpad->dev.dev = &intf->dev;
 	xpad->dev.private = xpad;
 	xpad->dev.name = xpad_device[i].name;
 	xpad->dev.phys = xpad->phys;
